import 'package:get/get.dart';

import '../modules/about/bindings/about_binding.dart';
import '../modules/about/views/about_view.dart';
import '../modules/control/bindings/control_binding.dart';
import '../modules/control/views/control_view.dart';
import '../modules/dashboard/bindings/dashboard_binding.dart';
import '../modules/dashboard/views/dashboard_view.dart';
import '../modules/home/bindings/home_binding.dart';
import '../modules/home/views/home_view.dart';
import '../modules/pageslider/bindings/pageslider_binding.dart';
import '../modules/pageslider/views/pageslider_view.dart';
import '../modules/pageslider1/bindings/pageslider1_binding.dart';
import '../modules/pageslider1/views/pageslider1_view.dart';
import '../modules/pageslider2/bindings/pageslider2_binding.dart';
import '../modules/pageslider2/views/pageslider2_view.dart';

part 'app_routes.dart';

class AppPages {
  AppPages._();

  static const INITIAL = Routes.DASHBOARD;

  static final routes = [
    GetPage(
      name: _Paths.HOME,
      page: () => const HomeView(),
      binding: HomeBinding(),
    ),
    GetPage(
      name: _Paths.CONTROL,
      page: () => const ControlView(),
      binding: ControlBinding(),
    ),
    GetPage(
      name: _Paths.DASHBOARD,
      page: () => DashboardView(),
      binding: DashboardBinding(),
    ),
    GetPage(
      name: _Paths.ABOUT,
      page: () => const AboutView(),
      binding: AboutBinding(),
    ),
    GetPage(
      name: _Paths.PAGESLIDER,
      page: () => const PagesliderView(),
      binding: PagesliderBinding(),
    ),
    GetPage(
      name: _Paths.PAGESLIDER1,
      page: () => const Pageslider1View(),
      binding: Pageslider1Binding(),
    ),
    GetPage(
      name: _Paths.PAGESLIDER2,
      page: () => const Pageslider2View(),
      binding: Pageslider2Binding(),
    ),
  ];
}
